Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023467
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-04-02 06:522013-07-23 18:23
ReportersureshbabuView Statuspublic 
Assigned Toguilleaer 
PrioritynormalResolutionfixedFixed in VersionRMP24
StatusclosedFix in branchFixed in SCM revision468d68793ef7
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023467: when i reopen the layaway order at payment breakdown section , server(ERP) date is displayed instead of payment date

Descriptionwhen i reopen the layaway order at payment breakdown section , server(ERP) date is displayed instead of payment date
Steps To Reproducewhen i reopen the layaway order at payment breakdown section , server(ERP) date is displayed instead of payment date (i have changed the webpos system date to yesterday date)
TagsNo tags attached.
Attached Filespng file icon when i reopen the layaway order at payment breakdown section , server date is dispalyed instead of date in POS terminal (i have changed my system date to yesterdays date).png [^] (262,267 bytes) 2013-04-02 06:52

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0023423 closedguilleaer if you add payments to a layaway in differents days, the payment breakdown information always shows the order date 

-  Notes
(0058069)
dmitry_mezentsev (developer)
2013-04-19 21:00

http://wiki.openbravo.com/wiki/Bug_Reporting_Guidelines#How_to_Choose_the_Right_Severity [^]
(0059398)
hgbot (developer)
2013-06-12 15:31

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 468d68793ef75b4048d0119021bf2b614e5158e6
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Jun 12 15:25:56 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/468d68793ef75b4048d0119021bf2b614e5158e6 [^]

fixed issue 23467 & 23423: Payment dates are shown correctly

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0059399)
hgbot (developer)
2013-06-12 15:31

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 09c12966c6275f23737260c69659307f47186c61
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Jun 12 15:23:34 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/09c12966c6275f23737260c69659307f47186c61 [^]

fixed issue 23467 & 23423: Payment dates are shown correctly

---
M src/org/openbravo/mobile/core/process/JSONPropertyToEntity.java
A src/org/openbravo/mobile/core/utils/OBMOBCUtils.java
---
(0059461)
hgbot (developer)
2013-06-17 12:49

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 2d5daf667fc5d47afeb2b06cdcc528da76ef0225
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Jun 17 12:48:48 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2d5daf667fc5d47afeb2b06cdcc528da76ef0225 [^]

Related to issue 23467. Do not fail in case there is no date in the payment, to preserve the API.

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0059463)
hgbot (developer)
2013-06-17 15:29

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 447db6d0e6900e188416c03909530c873612d34a
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Jun 17 12:47:34 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/447db6d0e6900e188416c03909530c873612d34a [^]

Related to issue 23467. Set stripTime as public. Remove milliseconds of date also.

---
M src/org/openbravo/mobile/core/utils/OBMOBCUtils.java
---
(0059724)
hgbot (developer)
2013-06-28 10:14

Repository: erp/pmods/org.openbravo.mobile.core.multiorder
Changeset: 09c12966c6275f23737260c69659307f47186c61
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Jun 12 15:23:34 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/09c12966c6275f23737260c69659307f47186c61 [^]

fixed issue 23467 & 23423: Payment dates are shown correctly

---
M src/org/openbravo/mobile/core/process/JSONPropertyToEntity.java
A src/org/openbravo/mobile/core/utils/OBMOBCUtils.java
---
(0059731)
hgbot (developer)
2013-06-28 10:21

Repository: erp/pmods/org.openbravo.mobile.core.multiorder
Changeset: 447db6d0e6900e188416c03909530c873612d34a
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Jun 17 12:47:34 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/447db6d0e6900e188416c03909530c873612d34a [^]

Related to issue 23467. Set stripTime as public. Remove milliseconds of date also.

---
M src/org/openbravo/mobile/core/utils/OBMOBCUtils.java
---
(0059744)
hgbot (developer)
2013-06-28 10:25

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 468d68793ef75b4048d0119021bf2b614e5158e6
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Jun 12 15:25:56 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/468d68793ef75b4048d0119021bf2b614e5158e6 [^]

fixed issue 23467 & 23423: Payment dates are shown correctly

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0059754)
hgbot (developer)
2013-06-28 10:28

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 2d5daf667fc5d47afeb2b06cdcc528da76ef0225
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Jun 17 12:48:48 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/2d5daf667fc5d47afeb2b06cdcc528da76ef0225 [^]

Related to issue 23467. Do not fail in case there is no date in the payment, to preserve the API.

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0060198)
guilleaer (developer)
2013-07-23 18:23

reclosing

- Issue History
Date Modified Username Field Change
2013-04-02 06:52 sureshbabu New Issue
2013-04-02 06:52 sureshbabu Assigned To => marvintm
2013-04-02 06:52 sureshbabu File Added: when i reopen the layaway order at payment breakdown section , server date is dispalyed instead of date in POS terminal (i have changed my system date to yesterdays date).png
2013-04-08 09:10 guilleaer Relationship added related to 0023423
2013-04-19 21:00 dmitry_mezentsev Note Added: 0058069
2013-04-19 21:00 dmitry_mezentsev Priority high => normal
2013-04-19 21:00 dmitry_mezentsev Severity major => minor
2013-06-11 17:48 guilleaer Assigned To marvintm => guilleaer
2013-06-12 15:31 hgbot Checkin
2013-06-12 15:31 hgbot Note Added: 0059398
2013-06-12 15:31 hgbot Status new => resolved
2013-06-12 15:31 hgbot Resolution open => fixed
2013-06-12 15:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/468d68793ef75b4048d0119021bf2b614e5158e6 [^]
2013-06-12 15:31 hgbot Checkin
2013-06-12 15:31 hgbot Note Added: 0059399
2013-06-12 15:31 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/468d68793ef75b4048d0119021bf2b614e5158e6 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/09c12966c6275f23737260c69659307f47186c61 [^]
2013-06-17 12:49 hgbot Checkin
2013-06-17 12:49 hgbot Note Added: 0059461
2013-06-17 15:29 hgbot Checkin
2013-06-17 15:29 hgbot Note Added: 0059463
2013-06-19 11:50 marvintm Review Assigned To => marvintm
2013-06-19 11:50 marvintm Status resolved => closed
2013-06-19 11:50 marvintm Fixed in Version => RMP24
2013-06-28 10:14 hgbot Checkin
2013-06-28 10:14 hgbot Note Added: 0059724
2013-06-28 10:14 hgbot Status closed => resolved
2013-06-28 10:14 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/09c12966c6275f23737260c69659307f47186c61 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/09c12966c6275f23737260c69659307f47186c61 [^]
2013-06-28 10:21 hgbot Checkin
2013-06-28 10:21 hgbot Note Added: 0059731
2013-06-28 10:25 hgbot Checkin
2013-06-28 10:25 hgbot Note Added: 0059744
2013-06-28 10:25 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/09c12966c6275f23737260c69659307f47186c61 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/468d68793ef75b4048d0119021bf2b614e5158e6 [^]
2013-06-28 10:28 hgbot Checkin
2013-06-28 10:28 hgbot Note Added: 0059754
2013-07-23 18:23 guilleaer Note Added: 0060198
2013-07-23 18:23 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker